$section: #ffe1e1;
$gray: #f8f8f8;
$text-gray: #383838;

.ad {
  background-color: white;
  position: relative;
  display: flex;
  flex-basis: auto;
  justify-content: flex-start;
  margin-bottom: 10px;

  .info {
    width: 100%;
    margin-left: 50px;
    max-height: 100%;
    min-width: 0;

    .description {
      margin-bottom: 25px;

      .product-title,
      .price,
      p {
        margin: 0;
        margin-bottom: 5px;
      }

      .product-title {
        font-size: 20px;
      }

      .price {
        font-size: 20px;
        font-weight: 700;
      }

      p {
        font-size: 12px;
        color: #989aac;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        line-height: 2;
      }
    }
  }

  .img {
    position: relative;
    transition: transform 200ms ease-in-out;
    z-index: 1;

    img {
      width: 200px;
      height: 200px;
    }

    &:hover {
      transform: scale(1.1);
    }
  }

  &::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    left: 0;
    bottom: -5px;
    transform: translate(-50% -50%);
    background-color: $gray;
    z-index: 0;
  }

  button.edit {
    opacity: 0;
    position: absolute;
    top: 0;
    right: 0;
    transition: opacity 200ms ease;
    background-color: #fff;
    color: #2196f3;
    border: 2px solid #2196f3;
  }

  &:hover button.edit {
    opacity: 1;
  }
}

.new::before {
  content: 'NEW!';
  position: absolute;
  left: 0;
  top: 0;
  padding: 10px;
  color: white;
  transform: rotate(-30deg);
  background: linear-gradient(to right, #dd2476, #ff512f);
  box-shadow: 0px 5px 20px -5px rgba(0, 0, 0, 0.75);
}


@media screen and (max-width: 610px) {
    .ad {
    flex-direction: column;
    justify-content: space-around;
    margin-bottom: 50px;

    .img {
      text-align: center;
      img {
        width: 100%;
        height: 100%;
      }
    }

    .info {
      margin: 0;
    }
  }
}
